Debian Bug report logs - #491064
initramfs hook

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: Jordi Pujol <jordipujolp@gmail.com>

Date: Wed, 16 Jul 2008 09:40:21 UTC

Severity: normal

Found in version udev/0.124-3

Fixed in version udev/0.124-4

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#491064; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Jordi Pujol <jordipujolp@gmail.com>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jordi Pujol <jordipujolp@gmail.com>
To: submit@bugs.debian.org
Subject: initramfs hook
Date: Wed, 16 Jul 2008 11:39:18 +0200
Package: udev
Version: 0.124-3
Severity: normal

we should call copy_exec to create that link, otherwise mkinitramfs ends with 
an error if another hook has already copied this file (Ex. the live-initramfs 
hook).

--- /usr/share/initramfs-tools/hooks/udev       2008-07-11
+++ /chroot/usr/share/initramfs-tools/hooks/udev     2008-07-16
@@ -24,7 +24,7 @@

 copy_exec /sbin/udevd /sbin/
 copy_exec /sbin/udevadm /sbin/
-ln -s udevadm $DESTDIR/sbin/udevsettle
+copy_exec /sbin/udevadm /sbin/udevsettle

 mkdir -p $DESTDIR/lib/udev/
 cp /lib/udev/hotplug.functions $DESTDIR/lib/udev/





Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#491064; Package udev. Full text and rfc822 format available.

Acknowledgement sent to debian-live-devel@lists.alioth.debian.org:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #10 received at 491064@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Jordi Pujol <jordipujolp@gmail.com>
Cc: debian-live-devel@lists.alioth.debian.org, 491064@bugs.debian.org
Subject: Re: udev hook causes error in mkinitramfs
Date: Wed, 16 Jul 2008 12:38:39 +0200
Jordi Pujol wrote:
> Hello,

Hi,

> when the live-initramfs hook has copied the udevsettle file and after the udev 
> hook tries to do the same, then mkinitramfs ends with an error.
> 
> A bug is submitted to udev, and a solution is suggested.

I think this is not required anymore with this:
http://git.debian.net/?p=live-initramfs.git;a=commitdiff;h=249a3f585f61de137585b19defc186a59095f31a;hp=1ecf99578d4bb77f23ef03c58aa49d0c3a632716

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#491064; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Jordi Pujol <jordipujolp@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #15 received at 491064@bugs.debian.org (full text, mbox):

From: Jordi Pujol <jordipujolp@gmail.com>
To: debian-live-devel@lists.alioth.debian.org, 491064@bugs.debian.org
Subject: Re: udev hook causes error in mkinitramfs
Date: Wed, 16 Jul 2008 15:24:05 +0200
El Wednesday 16 July 2008 12:38:39 Daniel Baumann va escriure:
> Jordi Pujol wrote:
> > Hello,
>
> Hi,
>
> > when the live-initramfs hook has copied the udevsettle file and after the
> > udev hook tries to do the same, then mkinitramfs ends with an error.
> >
> > A bug is submitted to udev, and a solution is suggested.
>
> I think this is not required anymore with this:
> http://git.debian.net/?p=live-initramfs.git;a=commitdiff;h=249a3f585f61de13
>7585b19defc186a59095f31a;hp=1ecf99578d4bb77f23ef03c58aa49d0c3a632716

Yes, this would be able to solve the problem with live-initramfs.  

but if any other hook copies the udevsettle file before that udev, the problem 
is not solved yet.

in the more purist line, is not correct that udev creates links to files when 
initramfs-tools will replace all links by their corresponding files.
Should be initramfs-tools who copies correctly the files and creates links 
when necessary;
In the same form that does my version of initramfs-tools that I am using at 
present.

To be more generalistic, the initramfs hooks only should specify what programs 
they want to include, and initramfs-tools is in charge of organizing all the 
rest.




Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jordi Pujol <jordipujolp@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 491064-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 491064-close@bugs.debian.org
Subject: Bug#491064: fixed in udev 0.124-4
Date: Sat, 19 Jul 2008 00:02:03 +0000
Source: udev
Source-Version: 0.124-4

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

libvolume-id-dev_0.124-4_i386.deb
  to pool/main/u/udev/libvolume-id-dev_0.124-4_i386.deb
libvolume-id0_0.124-4_i386.deb
  to pool/main/u/udev/libvolume-id0_0.124-4_i386.deb
udev-udeb_0.124-4_i386.udeb
  to pool/main/u/udev/udev-udeb_0.124-4_i386.udeb
udev_0.124-4.diff.gz
  to pool/main/u/udev/udev_0.124-4.diff.gz
udev_0.124-4.dsc
  to pool/main/u/udev/udev_0.124-4.dsc
udev_0.124-4_i386.deb
  to pool/main/u/udev/udev_0.124-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 491064@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 19 Jul 2008 00:52:03 +0200
Source: udev
Binary: udev libvolume-id0 libvolume-id-dev udev-udeb
Architecture: source i386
Version: 0.124-4
Distribution: unstable
Urgency: medium
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 libvolume-id-dev - libvolume_id development headers
 libvolume-id0 - libvolume_id shared library
 udev       - /dev/ and hotplug management daemon
 udev-udeb  - /dev/ and hotplug management daemon (udeb)
Closes: 491010 491064 491214
Changes: 
 udev (0.124-4) unstable; urgency=medium
 .
   * Added patch fix_hanging_gotos: makes rules processing continue if the
     LABEL for a GOTO statement is missing. (Closes: #491214)
   * Added dsl-modem.agent to support hotplugging of USB DSL modems.
   * Removed from the udeb some superfluous files.
   * Dynamically create in the init script a rule for the /dev/root symlink.
   * Always use copy_exec in the initramfs. (Closes: #491064)
   * Rumors of pnp:dPNP0800 being provided by pcspkr have been greatly
     exaggerated, so it's back in pnp-hotplug. (Closes: #491010)
Checksums-Sha1: 
 fbb357bb0748f0a809c214432725d1b23885650d 1003 udev_0.124-4.dsc
 47e5200414da865f4c04d91fb9262bc25d291c7b 71983 udev_0.124-4.diff.gz
 099eb259106bf6ebf8bee201837fbfe09e113878 253522 udev_0.124-4_i386.deb
 460a4beed1703797968ba344ef852e8f42651984 74940 libvolume-id0_0.124-4_i386.deb
 12d671be3e7fd157f7d3817d190edf9c0b395446 2418 libvolume-id-dev_0.124-4_i386.deb
 6ef3df6de932c98e6b3c9e6e19ceae155ea6b3ea 114850 udev-udeb_0.124-4_i386.udeb
Checksums-Sha256: 
 beab5f707d84f35c38cea20b9cb534e04d2e85fb202ae661a6f0604d3192a1e1 1003 udev_0.124-4.dsc
 56a83131e2fd9111c92014b0de63c63a83fe8cb00febad8ae4abeec5dede402f 71983 udev_0.124-4.diff.gz
 4379fc84d0bc70ea42fe2d0282ab75cafde7d26cf9096323a18e47973136d4c4 253522 udev_0.124-4_i386.deb
 03018234a72ae6fb9d667cbe69709cf054e18b8ffedfa634eb5344c7225e251e 74940 libvolume-id0_0.124-4_i386.deb
 6968fcd50a67bfdac632f1846547c58c9a6eed1103edca5ba68247a7e502dfea 2418 libvolume-id-dev_0.124-4_i386.deb
 b4749b06c3d37f3eea6a30da01beca8d7ea2e8344942f3541d4e22e213c851f4 114850 udev-udeb_0.124-4_i386.udeb
Files: 
 126c50cbe647680ae141851c09682619 1003 admin important udev_0.124-4.dsc
 dda3ed166baf5767a33abbd6b7b70683 71983 admin important udev_0.124-4.diff.gz
 7656fa5b42c4042c21e2feede777758b 253522 admin important udev_0.124-4_i386.deb
 9588e94e453ba6446d74029e9eff3fb2 74940 libs required libvolume-id0_0.124-4_i386.deb
 74d7a336c0a2fa939b882b72cb585872 2418 libdevel optional libvolume-id-dev_0.124-4_i386.deb
 7d102e21b71ed84ef1d7ed36f9285cc1 114850 debian-installer important udev-udeb_0.124-4_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiBLFUACgkQFGfw2OHuP7H2QACgjyj+ozG6xR8hWyctJuI/bFBZ
fjUAn2I4+lYLJsS8FQBpCppC329TShZW
=QGFv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Aug 2008 07:33:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:10:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.